/*
 * @Description: 
 * @Version: 1.0
 * @Autor: zhuyijun
 * @Date: 2021-11-21 23:56:19
 * @LastEditTime: 2021-11-23 21:12:57
 */
import Vue from 'vue'
import App from './App.vue'
import router from './router'
import './plugins/element.js'
// 导入全局样式表
import './assets/css/global.css'
// 导入字体图标
// import './assets/fonts/iconfont.css'
// 插件
import TreeTable from 'vue-table-with-tree-grid'

import axios from 'axios'
// 拦截器 设置请求头中的token
axios.interceptors.request.use(config => {
    // console.log(config)
    // 预处理将session中的token放入 请求头中
    config.headers.Authorization = window.localStorage.getItem('token')
    return config
})
// 配置请求根路径
axios.defaults.baseURL = 'http://localhost:8888/api/private/v1'
Vue.prototype.$http = axios

Vue.config.productionTip = false

Vue.component('tree-table', TreeTable)
new Vue({
    router,
    render: h => h(App)
}).$mount('#app')
